import utils from '@/utils/lib'

const QueryWorker = query => {
  return new Promise(resolve => {
    utils.SockEventMap.adminWineHistoryQueryWorkerRes = data => {
      utils.SockEventMap.adminWineHistoryQueryWorkerRes = undefined
      resolve(data)
    }
    utils.SendWss('adminWineHistoryQueryWorker', query)
  })
}

const QueryOrder = query => {
  return new Promise(resolve => {
    utils.SockEventMap.adminWineHistoryQueryOrderRes = data => {
      utils.SockEventMap.adminWineHistoryQueryOrderRes = undefined
      resolve(data)
    }
    utils.SendWss('adminWineHistoryQueryOrder', query)
  })
}

const UpdateOrder = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.adminWineHistoryOrderUpdateRes = data => {
      utils.SockEventMap.adminWineHistoryOrderUpdateRes = undefined
      if (data.status) {
        resolve()
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('adminWineHistoryOrderUpdate', info)
  })
}

const Delete = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.adminWineHistoryOrderDeleteRes = data => {
      utils.SockEventMap.adminWineHistoryOrderDeleteRes = undefined
      if (data.status) {
        resolve()
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('adminWineHistoryOrderDelete', info)
  })
}

export default {
  QueryWorker, QueryOrder, UpdateOrder, Delete
}

