import Layout from '@/layout'

const adminRoutes = [
  {
    path: '/',
    component: Layout,
    redirect: 'noRedirect',
    children: [
      {
        path: '',
        component: () => import('@/views/admin/dashboard/index'),
        name: '控制面板',
        meta: {
          title: '控制面板',
          icon: 'dashboard',
          affix: true
        }
      }
    ]
  }, {
    path: '/worker',
    component: Layout,
    redirect: 'noRedirect',
    children: [
      {
        path: '',
        component: () => import('@/views/admin/worker/index'),
        name: '员工管理',
        meta: {
          title: '员工管理',
          icon: 'peoples'
        }
      }
    ]
  }, {
    path: '/trade',
    component: Layout,
    redirect: 'noRedirect',
    children: [
      {
        path: '',
        component: () => import('@/views/admin/trade/index'),
        name: '交易订单',
        meta: {
          title: '交易订单',
          icon: 'el-icon-shopping-cart-2'
        }
      }
    ]
  }, {
    path: '/wine',
    component: Layout,
    redirect: '/wine/change',
    name: '上酒管理',
    meta: { title: '上酒管理', icon: 'tree' },
    children: [
      {
        path: 'change',
        component: () => import('@/views/admin/wine/change/index'),
        name: '上酒安排',
        meta: {
          title: '上酒安排',
          icon: 'form'
        }
      }, {
        path: 'history',
        component: () => import('@/views/admin/wine/history/index'),
        name: '历史记录',
        meta: {
          title: '历史记录',
          icon: 'nested'
        }
      }
    ]
  }, {
    path: '/about',
    component: Layout,
    redirect: 'noRedirect',
    children: [
      {
        path: '',
        component: () => import('@/views/com/about'),
        name: '关于我们',
        meta: {
          title: '关于我们',
          icon: 'el-icon-message'
        }
      }
    ]
  },
  { path: '*', redirect: '/404', hidden: true }
]

export default adminRoutes
