import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

import Layout from '@/layout'

export const constantRoutes = [
  {
    path: '/redirect',
    component: Layout,
    hidden: true,
    children: [
      {
        path: '/redirect/:path(.*)',
        component: () => import('@/views/com/redirect')
      }
    ]
  },
  {
    path: '/login',
    component: () => import('@/views/com/login'),
    hidden: true
  },
  {
    path: '/auth-redirect',
    component: () => import('@/views/com/auth-redirect'),
    hidden: true
  },
  {
    path: '/404',
    component: () => import('@/views/com/404'),
    hidden: true
  }
]

const createRouter = () => new Router({
  scrollBehavior: () => ({ y: 0 }),
  routes: constantRoutes
})

const router = createRouter()

export function resetRouter() {
  const newRouter = createRouter()
  router.matcher = newRouter.matcher
}

export default router
